public class LeeKeslerTest1 {
	
	public static void main(String[] arg)throws Exception{
		LeeKesler LK1=new LeeKesler("n-pentane");
		double T=35+273.15;//200+273.15;
		double P=1.0135;//1.01325;
		double V=LK1.V_TP_LK_V(T,P);
		double h=LK1.h_TP_LK_V(T,P);
		double s=LK1.s_TP_LK_V(T,P);
		System.out.println("T="+T+"degree K "+"P = "+P+"bar "+"V = "+V+" m^3/kmol");
		System.out.println("h("+T+")= "+h+" kJ/kmol");
		System.out.println("s("+T+")= "+s+" kJ/kmolK");
		double P1=LK1.P_TV_LK_V(T,V);
		System.out.println("P= "+P1+" bar");
		System.out.println("Cp= "+LK1.cp_TP_LK_L(T,P));	
		System.out.println("Cv= "+LK1.cv_TP_LK_L(T,P));
		System.out.println("kv= "+LK1.kv_TP_LK_V(T,P));	
		System.out.println("kl= "+LK1.kl_T_LK_L(T));
		System.out.println("muv= "+LK1.vis_T_L_LPV(T));
		System.out.println("mul= "+LK1.vis_T_PS_LTL(T));
		System.out.println("vis(mul)= "+LK1.vis(T,P));
		System.out.println("sigma= "+LK1.sigma(T,P));
		//double h1=(LK1.h_TP_LK_V(T,P));//LK1.h_T_IG_V(T);
		//System.out.println("h_TP_LK_V("+T+","+P+")= "+h1);
		//T=80+273.15;
		//double h2=(LK1.h_TP_LK_V(T,P));//
		//System.out.println("h_TP_LK_V("+T+","+P+")= "+h2);
		//System.out.println("h1-h2= "+(h1-h2));
		//System.out.println("(h1-h2)/MolWt= "+((h1-h2)/LK1.MolWt));
		
		//System.out.println("\n");
		
		//LeeKesler LK2=new LeeKesler("water");
		//T=360+273.15;
		//P=3.0;
		//System.out.println("Cp= "+LK1.cp_TP_LK_L(T,P));	
		//System.out.println("Cv= "+LK1.cv_TP_LK_L(T,P));
		//System.out.println("kv= "+LK1.kv_TP_LK_V(T,P));kl_TP_LK_L	
		//System.out.println("kl= "+LK1.kl_T_LK_L(143.15));
		//System.out.println("muv= "+LK1.vis_T_L_LPV(373.15));
		//System.out.println("mul= "+LK1.vis_T_PS_LTL(T));
		/*h1=(LK2.h_TP_LK_V(T,P));//LK1.h_T_IG_V(T);
		System.out.println("h_TP_LK_V("+T+","+P+")= "+h1);
		T=320+273.15;
		h2=(LK2.h_TP_LK_V(T,P));//
		System.out.println("h_TP_LK_V("+T+","+P+")= "+h2);
		System.out.println("h1-h2= "+(h1-h2));
		System.out.println("(h1-h2)/MolWt= "+((h1-h2)/LK2.MolWt));*/
	}
}